import * as z from 'zod';
export const PatientConversationGroupByResultSchema = z.array(z.object({
  id: z.number().int(),
  patientId: z.number().int(),
  userId: z.number().int(),
  stage: z.string(),
  aiHandoff: z.boolean(),
  updatedAt: z.date(),
  _count: z.object({
    id: z.number(),
    patientId: z.number(),
    userId: z.number(),
    stage: z.number(),
    aiHandoff: z.number(),
    updatedAt: z.number(),
    patient: z.number(),
    user: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    patientId: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    patientId: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    stage: z.string().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    stage: z.string().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional()
}));